ApiDeployment (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiDeployment

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiDeployment

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiDeployment
      extends Object

  This objects represents a deployment including all clusters, hosts, services, roles, etc in the system. It can be used to save and restore all settings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiDeployment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiDeployment` | `addClustersItem(ApiCluster clustersItem)`
    `ApiDeployment` | `addHostsItem(ApiHost hostsItem)`
    `ApiDeployment` | `addPeersItem(ApiCmPeer peersItem)`
    `ApiDeployment` | `addUsersItem(ApiUser usersItem)`
    `ApiDeployment` | `allHostsConfig(ApiConfigList allHostsConfig)`
    `ApiDeployment` | `clusters(List<ApiCluster> clusters)`
    `boolean` | `equals(Object o)`
    `ApiConfigList` | `getAllHostsConfig()` Get allHostsConfig
    `List<ApiCluster>` | `getClusters()` List of clusters in the system including their services, roles and complete config values.
    `List<ApiHost>` | `getHosts()` List of hosts in the system
    `ApiHostTemplateList` | `getHostTemplates()` Get hostTemplates
    `ApiService` | `getManagementService()` Get managementService
    `ApiConfigList` | `getManagerSettings()` Get managerSettings
    `List<ApiCmPeer>` | `getPeers()` The list of peers configured in Cloudera Manager.
    `String` | `getTimestamp()` Readonly.
    `List<ApiUser>` | `getUsers()` List of all users in the system
    `ApiVersionInfo` | `getVersionInfo()` Get versionInfo
    `int` | `hashCode()`
    `ApiDeployment` | `hosts(List<ApiHost> hosts)`
    `ApiDeployment` | `hostTemplates(ApiHostTemplateList hostTemplates)`
    `ApiDeployment` | `managementService(ApiService managementService)`
    `ApiDeployment` | `managerSettings(ApiConfigList managerSettings)`
    `ApiDeployment` | `peers(List<ApiCmPeer> peers)`
    `void` | `setAllHostsConfig(ApiConfigList allHostsConfig)`
    `void` | `setClusters(List<ApiCluster> clusters)`
    `void` | `setHosts(List<ApiHost> hosts)`
    `void` | `setHostTemplates(ApiHostTemplateList hostTemplates)`
    `void` | `setManagementService(ApiService managementService)`
    `void` | `setManagerSettings(ApiConfigList managerSettings)`
    `void` | `setPeers(List<ApiCmPeer> peers)`
    `void` | `setTimestamp(String timestamp)`
    `void` | `setUsers(List<ApiUser> users)`
    `void` | `setVersionInfo(ApiVersionInfo versionInfo)`
    `ApiDeployment` | `timestamp(String timestamp)`
    `String` | `toString()`
    `ApiDeployment` | `users(List<ApiUser> users)`
    `ApiDeployment` | `versionInfo(ApiVersionInfo versionInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiDeployment

          public ApiDeployment()

  - ### Method Detail

    - #### timestamp

          public ApiDeployment timestamp(String timestamp)

    - #### getTimestamp

          public String getTimestamp()

      Readonly. This timestamp is provided when you request a deployment and is not required (or even read) when creating a deployment. This timestamp is useful if you have multiple deployments saved and want to determine which one to use as a restore point.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(String timestamp)

    - #### clusters

          public ApiDeployment clusters(List<ApiCluster> clusters)

    - #### addClustersItem

          public ApiDeployment addClustersItem(ApiCluster clustersItem)

    - #### getClusters

          public List<ApiCluster> getClusters()

      List of clusters in the system including their services, roles and complete config values.
      Returns:
        clusters

    - #### setClusters

          public void setClusters(List<ApiCluster> clusters)

    - #### hosts

          public ApiDeployment hosts(List<ApiHost> hosts)

    - #### addHostsItem

          public ApiDeployment addHostsItem(ApiHost hostsItem)

    - #### getHosts

          public List<ApiHost> getHosts()

      List of hosts in the system
      Returns:
        hosts

    - #### setHosts

          public void setHosts(List<ApiHost> hosts)

    - #### users

          public ApiDeployment users(List<ApiUser> users)

    - #### addUsersItem

          public ApiDeployment addUsersItem(ApiUser usersItem)

    - #### getUsers

          public List<ApiUser> getUsers()

      List of all users in the system
      Returns:
        users

    - #### setUsers

          public void setUsers(List<ApiUser> users)

    - #### versionInfo

          public ApiDeployment versionInfo(ApiVersionInfo versionInfo)

    - #### getVersionInfo

          public ApiVersionInfo getVersionInfo()

      Get versionInfo
      Returns:
        versionInfo

    - #### setVersionInfo

          public void setVersionInfo(ApiVersionInfo versionInfo)

    - #### managementService

          public ApiDeployment managementService(ApiService managementService)

    - #### getManagementService

          public ApiService getManagementService()

      Get managementService
      Returns:
        managementService

    - #### setManagementService

          public void setManagementService(ApiService managementService)

    - #### managerSettings

          public ApiDeployment managerSettings(ApiConfigList managerSettings)

    - #### getManagerSettings

          public ApiConfigList getManagerSettings()

      Get managerSettings
      Returns:
        managerSettings

    - #### setManagerSettings

          public void setManagerSettings(ApiConfigList managerSettings)

    - #### allHostsConfig

          public ApiDeployment allHostsConfig(ApiConfigList allHostsConfig)

    - #### getAllHostsConfig

          public ApiConfigList getAllHostsConfig()

      Get allHostsConfig
      Returns:
        allHostsConfig

    - #### setAllHostsConfig

          public void setAllHostsConfig(ApiConfigList allHostsConfig)

    - #### peers

          public ApiDeployment peers(List<ApiCmPeer> peers)

    - #### addPeersItem

          public ApiDeployment addPeersItem(ApiCmPeer peersItem)

    - #### getPeers

          public List<ApiCmPeer> getPeers()

      The list of peers configured in Cloudera Manager. Available since API v3.
      Returns:
        peers

    - #### setPeers

          public void setPeers(List<ApiCmPeer> peers)

    - #### hostTemplates

          public ApiDeployment hostTemplates(ApiHostTemplateList hostTemplates)

    - #### getHostTemplates

          public ApiHostTemplateList getHostTemplates()

      Get hostTemplates
      Returns:
        hostTemplates

    - #### setHostTemplates

          public void setHostTemplates(ApiHostTemplateList hostTemplates)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.